Package org.apache.tapestry5.beanmodel

# Class BeanModelSourceBuilder

java.lang.Object
org.apache.tapestry5.beanmodel.BeanModelSourceBuilder

public class BeanModelSourceBuilder extends Object
Utility class for creating `BeanModelSource` instances without Tapestry-IoC. Usage of Tapestry-IoC is still recommended. The setter methods can be used to customize the BeanModelSource to be created and can be (and usually are) skipped so `BeanModelSource beanModelSource = new BeanModelSourceBuilder().build();` is all you need to do.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanModelSourceBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanModelSource`
  `build()`
  Creates and returns a `BeanModelSource` instance.
  `BeanModelSourceBuilder`
  `setDataTypeAnalyzer(DataTypeAnalyzer dataTypeAnalyzer)`
  Sets the `DataTypeAnalyzer` to be used.
  `BeanModelSourceBuilder`
  `setObjectLocator(ObjectLocator objectLocator)`
  Sets the `ObjectLocator` to be used.
  `BeanModelSourceBuilder`
  `setPlasticProxyFactory(PlasticProxyFactory plasticProxyFactory)`
  Sets the `PlasticProxyFactory` to be used.
  `BeanModelSourceBuilder`
  `setPropertyAccess(PropertyAccess propertyAccess)`
  Sets the `PropertyAccess` to be used.
  `BeanModelSourceBuilder`
  `setPropertyConduitSource(PropertyConduitSource propertyConduitSource)`
  Sets the `PropertyConduitSource` to be used.
  `BeanModelSourceBuilder`
  `setStringInterner(StringInterner stringInterner)`
  Sets the `StringInterner` to be used.
  `BeanModelSourceBuilder`
  `setTypeCoercer(TypeCoercer typeCoercer)`
  Sets the `TypeCoercer` to be used.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanModelSourceBuilder

    public BeanModelSourceBuilder()

- ## Method Details

  - ### build

    public BeanModelSource build()
    Creates and returns a `BeanModelSource` instance.

  - ### setTypeCoercer

    public BeanModelSourceBuilder setTypeCoercer(TypeCoercer typeCoercer)
    Sets the `TypeCoercer` to be used.

  - ### setPropertyAccess

    public BeanModelSourceBuilder setPropertyAccess(PropertyAccess propertyAccess)
    Sets the `PropertyAccess` to be used.

  - ### setPropertyConduitSource

    public BeanModelSourceBuilder setPropertyConduitSource(PropertyConduitSource propertyConduitSource)
    Sets the `PropertyConduitSource` to be used.

  - ### setPlasticProxyFactory

    public BeanModelSourceBuilder setPlasticProxyFactory(PlasticProxyFactory plasticProxyFactory)
    Sets the `PlasticProxyFactory` to be used.

  - ### setDataTypeAnalyzer

    public BeanModelSourceBuilder setDataTypeAnalyzer(DataTypeAnalyzer dataTypeAnalyzer)
    Sets the `DataTypeAnalyzer` to be used.

  - ### setObjectLocator

    public BeanModelSourceBuilder setObjectLocator(ObjectLocator objectLocator)
    Sets the `ObjectLocator` to be used. Actually, the only method of it actually used is `ObjectLocator.autobuild(Class)`, for creating objects of the class described by the `BeanModel`.

  - ### setStringInterner

    public BeanModelSourceBuilder setStringInterner(StringInterner stringInterner)
    Sets the `StringInterner` to be used.